apiVersion: apps/v1
kind: Deployment
metadata:
  name: inspector
spec:
  replicas: 1
  template:
    spec:
      containers:
        - name: app
          image: ghcr.io/mhutter/http-request-inspector:latest
          ports:
            - containerPort: 8080
          resources:
            requests:
              cpu: 10m
              memory: 4Mi
            limits:
              memory: 64Mi
